// m_filter.cpp : Defines the initialization routines for the DLL.
//

#include "stdafx.h"
#include "m_filter.h"

/////////////////////////////////////////////////////////////////////////////
// M_FILTER EXAMPLE FOR WINFBB32
// 27/01/00 - EB5AGF
/////////////////////////////////////////////////////////////////////////////
//
// Parameters :
// int ac : 
//     number of parameters given in argv
// char **argv : 
//     Table of pointers to strings.
//     Last pointer is NULL
// char *r_buf :
//     Buffer to place the text returned to the user
//	   (Don't use with m_filter!)
// int len :
//     Buffer length. (Always 0 in m_filter, no return buffer!)
//
//The line arguments given to the C_FILTER program are :
//
// av[0]: Name of the filter
// av[1]: Path and name of the file including the message text.
// av[2]: Type of the message (P, B, T).
// av[3]: Sender.
// av[4]: "To" field.
// av[5]: Always 0 (for compatibility with previous versions)
//
// Return value. It indicates to the server what to do with the 
//               incomming message.
//
// 0 : Message is recorded.
// 1 : Message is killed  (status = K).
// 2 : Message is archived  (status = A).
// 3 : Message is held  (status = H).
//
/////////////////////////////////////////////////////////////////////////////

int WINAPI svc_main (int ac, char FAR ** av, char FAR * r_buf, int len)
{
	FILE *fptr;

	fptr=fopen("m_filter.txt","wt");
	if(fptr==NULL)	
		return(-1);
 
	fprintf(fptr,"M_FILTER arguments\n\n");

	for(int i=0;i<ac;i++)
		fprintf(fptr,"av[%d]: %s\n",i,av[i]);

	fclose(fptr);
	return(0);
}




